<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package GardenHub
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

			<section class="error-404 not-found">
				<div class="container">
					<div class="row">
						<div class="col-md-5">

						</div>
						<div class="col-md-7">
							<header class="page-header">
								<h1 class="page-title"><?php esc_html_e( '404', 'gardenhub' ); ?></h1>
								<p class="line-1"><?php esc_html_e( 'OOPPS! THE PAGE YOU WERE LOOKING FOR, COULDN\'T BE FOUND.', 'gardenhub' ); ?></p>
								<p class="line-2 main-color"><?php esc_html_e( 'Try the search below to find matching pages:', 'gardenhub' ) ?></p>
							</header><!-- .page-header -->

							<div class="page-content">
								<form method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
									<label>
										<span class="screen-reader-text"><?php esc_html_e( 'Search for:', 'gardenhub' ) ?></span>
										<input type="search" class="search-field" placeholder="<?php esc_html_e( 'Search...', 'gardenhub' ) ?>" value="" name="s">
									</label>
									<input type="submit" class="search-submit" value="<?php echo esc_attr( 'Search', 'gardenhub' ) ?>">
								</form>
							</div><!-- .page-content -->
						</div>
					</div>
				</div>
			</section><!-- .error-404 -->
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
