<?php
/**
 * Register required, recommended plugins for theme
 *
 * @package GardenHub
 */

/**
 * Register required plugins
 *
 * @since  1.0
 */
function gardenhub_register_required_plugins()
{
	$plugins = array(
		array(
			'name' => esc_html__('WooCommerce', 'gardenhub'),
			'slug' => 'woocommerce',
			'required' => true,
			'force_activation' => false,
			'force_deactivation' => false,
		),
		array(
			'name'               => esc_html__( 'WooCommerce Variation Swatches', 'gardenhub' ),
			'slug'               => 'variation-swatches-for-woocommerce',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
		),
		array(
			'name' => esc_html__('Meta Box', 'gardenhub'),
			'slug' => 'meta-box',
			'required' => true,
			'force_activation' => false,
			'force_deactivation' => false,
		),
		array(
			'name' => esc_html__('Kirki', 'gardenhub'),
			'slug' => 'kirki',
			'required' => true,
			'force_activation' => false,
			'force_deactivation' => false,
		),
		array(
			'name'               => esc_html__( 'WPBakery Visual Composer', 'gardenhub' ),
			'slug'               => 'js_composer',
			'source'             => get_template_directory() . '/plugins/js_composer.zip',
			'required'           => true,
			'force_activation'   => false,
			'force_deactivation' => false,
		),
		array(
			'name'               => esc_html__( 'GardenHub Visual Composer Addons', 'gardenhub' ),
			'slug'               => 'gardenhub-vc-addons',
			'source'             => get_template_directory() . '/plugins/gardenhub-vc-addons.zip',
			'required'           => true,
			'force_activation'   => false,
			'force_deactivation' => false,
			'version'            => '1.1',
		),
		array(
			'name'               => esc_html__( 'Revolution Slider', 'gardenhub' ),
			'slug'               => 'revslider',
			'source'             => get_template_directory() . '/plugins/revslider.zip',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
		),
		array(
			'name' => esc_html__('Contact Form 7', 'gardenhub'),
			'slug' => 'contact-form-7',
			'required' => false,
			'force_activation' => false,
			'force_deactivation' => false,
		),
		array(
			'name' => esc_html__('WP-PostViews', 'gardenhub'),
			'slug' => 'wp-postviews',
			'required' => false,
			'force_activation' => false,
			'force_deactivation' => false,
		),
		array(
			'name' => esc_html__('MailChimp for WordPress', 'gardenhub'),
			'slug' => 'mailchimp-for-wp',
			'required' => false,
			'force_activation' => false,
			'force_deactivation' => false,
		),
		array(
			'name'               => esc_html__( 'STH Project', 'gardenhub' ),
			'slug'               => 'sth-project',
			'source'             => get_template_directory() . '/plugins/sth-project.zip',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
			'version'            => '1.0.0',
		),
		array(
			'name'               => esc_html__( 'STH Service', 'gardenhub' ),
			'slug'               => 'sth-service',
			'source'             => get_template_directory() . '/plugins/sth-service.zip',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
			'version'            => '1.0.0',
		),
		array(
			'name'               => esc_html__( 'STH Testimonial', 'gardenhub' ),
			'slug'               => 'sth-testimonial',
			'source'             => get_template_directory() . '/plugins/sth-testimonial.zip',
			'required'           => false,
			'force_activation'   => false,
			'force_deactivation' => false,
			'version'            => '1.0.0',
		),
	);
	$config = array(
		'domain' => 'gardenhub',
		'default_path' => '',
		'menu' => 'install-required-plugins',
		'has_notices' => true,
		'is_automatic' => false,
		'message' => '',
		'strings' => array(
			'page_title' => esc_html__('Install Required Plugins', 'gardenhub'),
			'menu_title' => esc_html__('Install Plugins', 'gardenhub'),
			'installing' => esc_html__('Installing Plugin: %s', 'gardenhub'),
			'oops' => esc_html__('Something went wrong with the plugin API.', 'gardenhub'),
			'notice_can_install_required' => _n_noop('This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'gardenhub'),
			'notice_can_install_recommended' => _n_noop('This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'gardenhub'),
			'notice_cannot_install' => _n_noop('Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'gardenhub'),
			'notice_can_activate_required' => _n_noop('The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'gardenhub'),
			'notice_can_activate_recommended' => _n_noop('The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'gardenhub'),
			'notice_cannot_activate' => _n_noop('Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'gardenhub'),
			'notice_ask_to_update' => _n_noop('The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'gardenhub'),
			'notice_cannot_update' => _n_noop('Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'gardenhub'),
			'install_link' => _n_noop('Begin installing plugin', 'Begin installing plugins', 'gardenhub'),
			'activate_link' => _n_noop('Activate installed plugin', 'Activate installed plugins', 'gardenhub'),
			'return' => esc_html__('Return to Required Plugins Installer', 'gardenhub'),
			'plugin_activated' => esc_html__('Plugin activated successfully.', 'gardenhub'),
			'complete' => esc_html__('All plugins installed and activated successfully. %s', 'gardenhub'),
			'nag_type' => 'updated'
		)
	);

	tgmpa($plugins, $config);
}

add_action('tgmpa_register', 'gardenhub_register_required_plugins');
