<?php
/**
 * @package GardenHub
 */
$size = 'gardenhub-blog-thumb';
$css_class = 'blog-wrapper';
if ( 'grid' == gardenhub_get_option( 'blog_layout' ) ) {
	if ( gardenhub_get_option( 'blog_grid_columns' ) == '2' ) {
		$css_class .= ' col-2 col-xs-12 col-md-6 col-sm-6';
		$size = 'gardenhub-blog-grid-2-thumb';
	} else {
		$css_class .= ' col-3 col-xs-12 col-md-4 col-sm-6';
		$size = 'gardenhub-blog-grid-3-thumb';
	}
}

if ( has_post_thumbnail() ) {
	$css_class .= ' has-thumb';
} else {
	$css_class .= ' no-thumb';
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $css_class ); ?>>
	<div class="wrapper">
		<div class="entry-thumbnail">
			<a href="<?php the_permalink() ?>"><?php the_post_thumbnail( $size ) ?></a>

			<div class="entry-time">
				<span class="day"><?php echo get_the_date( 'd' ) ?></span>
				<span class="month"><?php echo get_the_date( 'M' ) ?></span>
			</div>
		</div>
		<header class="entry-header">
			<?php if ( gardenhub_get_option( 'blog_layout' ) == 'classic' ) : ?>
				<h2 class="entry-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
			<?php endif ?>

			<div class="entry-meta">
				<?php gardenhub_entry_meta(); ?>
			</div><!-- .entry-meta -->

			<?php if ( gardenhub_get_option( 'blog_layout' ) == 'grid' ) : ?>
				<h2 class="entry-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
			<?php endif ?>

		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php the_excerpt(); ?>

			<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'gardenhub' ),
				'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-content -->

		<footer class="entry-footer clearfix">
			<a href="<?php the_permalink() ?>"><?php echo apply_filters( 'gh_read_more', esc_html__( 'Continue Reading...', 'gardenhub' ) ) ?></a>
		</footer>
	</div>
</article><!-- #post-## -->
