<?php
/**
 * Template part for displaying header v4.
 *
 * @package GardenHub
 */

$col = 'col-md-9';
if ( gardenhub_get_option( 'header_search' ) ) {
	$col = 'col-md-8';
}
?>

<div class="header-main">
	<div class="container">
		<div class="row">
			<div class="site-logo col-md-3 col-sm-6 col-xs-6">
				<?php get_template_part( 'parts/logo' ); ?>
			</div>
			<div class="site-menu col-sm-6 col-xs-6 <?php echo esc_attr( $col ) ?>">

				<nav id="site-navigation" class="main-nav primary-nav nav">
					<?php
					wp_nav_menu( array(
						'theme_location' => 'primary',
						'container'      => false,
						'menu_id' => 'primary-menu',
					) );
					?>
				</nav>
			</div>
			<?php if ( gardenhub_get_option( 'header_search' )) :
				printf(
					'<div class="col-md-1 col-sm-1 col-xs-12 extra-item menu-item-search clearfix">
						<a id="toggle-search" class="toggle-search" href="#"><i class="fa fa-search" aria-hidden="true"></i></a>
						<form method="get" class="search-form" action="%s">
							<i class="fa fa-search" aria-hidden="true"></i>
							<input type="search" class="search-field" placeholder="%s..." value="" name="s">
							<input type="submit" class="search-submit" value="Search">
						</form>
					</div>',
					esc_url( home_url( '/' ) ),
					esc_attr__( 'Search', 'gardenhub' )
				);
			endif ?>
			<?php gardenhub_menu_icon(); ?>
		</div>
	</div>
</div>
