<?php
/**
 * Page header style 2.
 *
 * @package GardenHub
 */
if ( get_post_meta( get_the_ID(), 'title', true ) ) {
	$title = get_post_meta( get_the_ID(), 'title', true );
} else {
	$title = wp_kses( gardenhub_get_option( 'page_header_title' ), wp_kses_allowed_html( 'post' ) );
}

if ( get_post_meta( get_the_ID(), 'subtitle', true ) ) {
	$sub_title = get_post_meta( get_the_ID(), 'subtitle', true );
} else {
	$sub_title = wp_kses( gardenhub_get_option( 'page_header_subtitle' ), wp_kses_allowed_html( 'post' ) );
}

if ( get_post_meta( get_the_ID(), 'button_link', true ) ) {
	$url = get_post_meta( get_the_ID(), 'button_link', true );
} else {
	$url = wp_kses( gardenhub_get_option('page_header_button_link'), wp_kses_allowed_html( 'post' ) );
}

if ( get_post_meta( get_the_ID(), 'button_text', true ) ) {
	$text = get_post_meta( get_the_ID(), 'button_text', true );
} else {
	$text = wp_kses( gardenhub_get_option( 'page_header_button_text' ), wp_kses_allowed_html( 'post' ) );
}
?>

<div class="page-header title-area style-2">
	<div class="header-title">
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					<?php if ( $sub_title ) :
						printf(
							'<div class="subtitle">%s</div>',
							do_shortcode( $sub_title )
						);
					endif ?>

					<?php if ( $title ) :
						printf(
							'<h1 class="page-title">%s</h1>',
							do_shortcode( $title )
						);
					else :
						the_archive_title( '<h1 class="page-title">', '</h1>' );
					endif?>

					<?php if ( $text ) :
					printf(
						'<div class="page-button-link">
							<a href="%s">%s</a>
						</div>',
						esc_url( $url ),
						$text
					);
					endif ?>
				</div>
			</div>
		</div>
	</div>
	<div class="breadcrumb-area">
		<div class="container">
			<div class="row">
				<div class="col-md-6 col-sm-6 col-xs-12">
					<?php gardenhub_site_breadcrumb(); ?>
				</div>
				<div class="share col-md-6 col-sm-6 col-xs-12">
					<div class="share-title">
						<i class="fa fa-share-alt" aria-hidden="true"></i>
						<?php esc_html_e( 'Share', 'gardenhub' ) ?>
					</div>
					<?php gardenhub_social_share(); ?>
				</div>
			</div>
		</div>
	</div>
</div>