<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package GardenHub
 */
if ( 'no-sidebar' == gardenhub_get_layout() ) {
	return;
}

$sidebar = 'blog-sidebar';

if ( is_post_type_archive( 'service' ) || is_tax( 'service_category' ) || is_singular( 'service' ) ) {
	$sidebar = 'service-sidebar';
} elseif( is_page() ) {
	$sidebar = 'page-sidebar';
} elseif ( function_exists( 'is_woocommerce' ) && is_woocommerce() ) {
	$sidebar = 'shop-sidebar';
}

?>
<aside id="primary-sidebar" class="widgets-area primary-sidebar <?php echo esc_attr( $sidebar ) ?> col-md-3 col-xs-12 col-sm-12">
	<?php
	if (is_active_sidebar($sidebar)) {
		dynamic_sidebar($sidebar);
	}
	?>
</aside><!-- #secondary -->
